﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>AccessDataSourceコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="grid" runat="server" AllowPaging="True" AllowSorting="True"
            AutoGenerateColumns="False" CellPadding="4" DataKeyNames="isbn" DataSourceID="ads"
            ForeColor="#333333" GridLines="None">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowSelectButton="True" />
                <asp:BoundField DataField="isbn" HeaderText="isbn" ReadOnly="True" SortExpression="isbn" />
                <asp:BoundField DataField="title" HeaderText="title" SortExpression="title" />
                <asp:BoundField DataField="price" HeaderText="price" SortExpression="price" />
                <asp:BoundField DataField="publish" HeaderText="publish" SortExpression="publish" />
                <asp:BoundField DataField="publishDate" HeaderText="publishDate" SortExpression="publishDate" />
            </Columns>
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:AccessDataSource ID="ads" runat="server" DataFile="~/App_Data/MyDB.mdb" DeleteCommand="DELETE FROM [books] WHERE [isbn] = ?"
            InsertCommand="INSERT INTO [books] ([isbn], [title], [price], [publish], [publishDate]) VALUES (?, ?, ?, ?, ?)"
            SelectCommand="SELECT [isbn], [title], [price], [publish], [publishDate] FROM [books]"
            UpdateCommand="UPDATE [books] SET [title] = ?, [price] = ?, [publish] = ?, [publishDate] = ? WHERE [isbn] = ?">
            <DeleteParameters>
                <asp:Parameter Name="isbn" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int16" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
                <asp:Parameter Name="isbn" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="isbn" Type="String" />
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int16" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
            </InsertParameters>
        </asp:AccessDataSource>
    
    </div>
    </form>
</body>
</html>
